org.omg.DynamicAny

## Class NameDynAnyPair

- java.lang.Object
- - org.omg.DynamicAny.NameDynAnyPair

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class NameDynAnyPair
    extends Object
    implements IDLEntity

org/omg/DynamicAny/NameDynAnyPair.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-9FSwAJ/openjdk-8-8u462-ga/src/corba/src/share/classes/org/omg/DynamicAny/DynamicAny.idl Friday, August 8, 2025 7:28:38 PM UTC

### Field Summary

Fields
`String` `id` The name associated with the DynAny.
`DynAny` `value` The DynAny value associated with the name.

### Constructor Summary

Constructors
Constructor and Description
`NameDynAnyPair()`
`NameDynAnyPair(String _id, DynAny _value)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    public String id

The name associated with the DynAny.

#### value

    public DynAny value

The DynAny value associated with the name.

### Constructor Detail

#### NameDynAnyPair

    public NameDynAnyPair()

#### NameDynAnyPair

    public NameDynAnyPair(String _id,
                          DynAny _value)